package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PraAnestesi;
import com.jasamedika.medifirst2000.entities.RencanaOperasi;
import com.jasamedika.medifirst2000.helper.Caption;

public class PraAnestesiPasienBedahVO extends BaseTransactionVO {

	@ManyToOne
	@JoinColumn(name = "ObjectPraAnestesiPasienHeaderFk")
	@Caption(value = "ID PraAnestesiPasienHeader")
	@NotNull(message = "ID PraAnestesiPasienHeader tidak boleh kosong")
	private PraAnestesiPasienHeaderVO praAnestesiPasienHeader;
	
	//@ManyToOne
	//@JoinColumn(name = "ObjectPasienFk")
	//@NotNull(message = "Pasien tidak boleh kosong")
	//private AntrianPasienDiPeriksaVO pasienDaftar;
	
	//private Date tglAnestasi;
	
	@ManyToOne
	@Caption("PraAnestesi Master")
	@JoinColumn(name="PraAnestesiFk")
	private PraAnestesiVO praAnestesiPasien;
	
	//@ManyToOne
	//@Caption("Ruangan")
	//@JoinColumn(name="RuanganFk")
	//private RuanganVO ruangan;

	private Integer praAnestesiPasienId;
	
	private Integer yesNo;

	private String keterangan;

	private String ketTambahan;

	private String ketTambahan2;

	private String ketTambahan3;
	/**
	 * @return the tglAnestasi
	 */
	//public Date getTglAnestasi() {
	//	return tglAnestasi;
	//}

	/**
	 * @param tglAnestasi the tglAnestasi to set
	 */
	//public void setTglAnestasi(Date tglAnestasi) {
	//	this.tglAnestasi = tglAnestasi;
	//}

	/**
	 * @return the praAnestesiPasien
	 */
	public PraAnestesiVO getPraAnestesiPasien() {
		return praAnestesiPasien;
	}

	/**
	 * @param praAnestesiPasien the praAnestesiPasien to set
	 */
	public void setPraAnestesiPasien(PraAnestesiVO praAnestesiPasien) {
		this.praAnestesiPasien = praAnestesiPasien;
	}

	/**
	 * @return the praAnestesiPasienId
	 */
	public Integer getPraAnestesiPasienId() {
		return praAnestesiPasienId;
	}

	/**
	 * @param praAnestesiPasienId the praAnestesiPasienId to set
	 */
	public void setPraAnestesiPasienId(Integer praAnestesiPasienId) {
		this.praAnestesiPasienId = praAnestesiPasienId;
	}

	/**
	 * @return the yesNo
	 */
	public Integer getYesNo() {
		return yesNo;
	}

	/**
	 * @param yesNo the yesNo to set
	 */
	public void setYesNo(Integer yesNo) {
		this.yesNo = yesNo;
	}

	/**
	 * @return the keterangan
	 */
	public String getKeterangan() {
		return keterangan;
	}

	/**
	 * @param keterangan the keterangan to set
	 */
	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	/**
	 * @return the ketTambahan
	 */
	public String getKetTambahan() {
		return ketTambahan;
	}

	/**
	 * @param ketTambahan the ketTambahan to set
	 */
	public void setKetTambahan(String ketTambahan) {
		this.ketTambahan = ketTambahan;
	}

	//public RuanganVO getRuangan() {
	//	return ruangan;
	//}

	//public AntrianPasienDiPeriksaVO getPasienDaftar() {
	//	return pasienDaftar;
	//}
	
	//public void setPasienDaftar(AntrianPasienDiPeriksaVO pasienDaftar) {
	//	this.pasienDaftar = pasienDaftar;
	//}
	
	//public void setRuangan(RuanganVO ruangan) {
	//	this.ruangan = ruangan;
	//}

	public PraAnestesiPasienHeaderVO getPraAnestesiPasienHeader() {
		return praAnestesiPasienHeader;
	}

	public void setPraAnestesiPasienHeader(PraAnestesiPasienHeaderVO praAnestesiPasienHeader) {
		this.praAnestesiPasienHeader = praAnestesiPasienHeader;
	}

	public String getKetTambahan2() {
		return ketTambahan2;
	}

	public void setKetTambahan2(String ketTambahan2) {
		this.ketTambahan2 = ketTambahan2;
	}

	public String getKetTambahan3() {
		return ketTambahan3;
	}

	public void setKetTambahan3(String ketTambahan3) {
		this.ketTambahan3 = ketTambahan3;
	}
	
	
	
}
